if InvenSimulatorUI.class ~= "전사" then return end

function InvenSimulatorUI:InitStance()
	self:RegisterSideTab(1, nil, 3, 2457, 71, 2458)
end

function InvenSimulatorUI:InitClassBuff()
	return 12, {
		"아지노스의 쌍날검(2 피스 효과)", 41435, "가속도 450만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("아지노스의 쌍날검") >= 2 end,
		"원시 축복(2 피스 효과)", 24255, "전투력 300만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("원시 축복") >= 2 end,
		"파괴자의 전투장비(2 피스 효과)", 37529, "전투력 100만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("파괴자의 전투장비") >= 2 end,
		"파괴자의 갑옷(2 피스 효과)", 37526, "가속도 200만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("파괴자의 갑옷") >= 2 end,
		"공성파괴자 전투장비(2 피스 효과)", 64937, "가속도 150만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("공성파괴자 전투장비") >= 2 end,
		"파멸의 판금 갑옷(4 피스 효과)", 37612, "전투력 160만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("파멸의 판금 갑옷") >= 4 end,
		"최후의 저항", 12975, "최대 생명력 30%만큼 증가", function() return InvenSimulatorCharDB.talents["방어;최후의 저항"] end,
		"방패 막기", 2565, "방패 막기 확률 100%만큼 증가\n방패 피해 방어량 100%만큼 증가", function() return InvenSimulatorUI:HasStance("방어 태세") and InvenSimulatorUI:HasShield() end,
		"격노", 57516, "공격력 10%만큼 증가", function() return InvenSimulatorCharDB.talents["분노;격노"] or InvenSimulatorCharDB.talents["방어;방어 태세 연마"] or InvenSimulatorCharDB.talents["무기;파괴자"] end,
		"질풍", 16284, "근접 공격 속도 25%만큼 증가", function() return InvenSimulatorCharDB.talents["분노;질풍"] end,
		"죽음의 소원", 12292, "공격력 20%만큼 증가", function() return InvenSimulatorCharDB.talents["분노;죽음의 소원"] end,
	}
end

function InvenSimulatorUI:ApplyTalent()
	if self.db.talents["방어;방어 태세 연마"] or self.db.talents["무기;파괴자"] or self.db.talents["분노;격노"] then
		self:UpdateClassBuffText("격노", "공격력 "..max(max((self.db.talents["방어;방어 태세 연마"] or 0) * 5, (self.db.talents["무기;파괴자"] or 0) * 2), (self.db.talents["분노;격노"] or 0) * 2).."%만큼 증가")
	end
	if self.db.talents["분노;질풍"] then
		self:UpdateClassBuffText("질풍", "공격 속도 "..(self.db.talents["분노;질풍"] * 5).."%만큼 증가")
	end
	local w1Type, w1Loc, w2Type, w2Loc
	if self.db.items[16] then
		w1Type, _, w1Loc = select(7, GetItemInfo(self.db.items[16]))
	end
	if self.db.items[17] then
		w2Type, _, w2Loc = select(7, GetItemInfo(self.db.items[17]))
	end
	-- 재빠른 손놀림(5) 무기 막기 +1,2,3,4,5%
	self:AddSpec("무기 막기", "재빠른 손놀림", 1)
	-- 양손 무기류 전문화(3) 양손 무기 공격력 +2, 4, 6%
	if self:GetTalentPoint("양손 무기류 전문화") > 0 then
		if w1Loc == "INVTYPE_2HWEAPON" then
			self:MultiSpec("주장비 공격력 배율", "양손 무기류 전문화", 0.02)
		end
		if w2Loc == "INVTYPE_2HWEAPON" then
			self:MultiSpec("보조장비 공격력 배율", "양손 무기류 전문화", 0.02)
		end
	end
	-- 도끼류 및 장창류 전문화(5) 도끼, 장창으로 치명타 1, 2, 3, 4, 5%증가
	if self:GetTalentPoint("도끼류 및 장창류 전문화") > 0 then
		if w1Type == "한손 도끼류" or w1Type == "양손 도끼류" or w1Type == "장창류" or w2Type == "한손 도끼류" or w2Type == "양손 도끼류" or w2Type == "장창류" then
			self:AddSpec("치명타율", "도끼류 및 장창류 전문화", 1)
		end
	end
	-- 강력한 무기(2) 힘 +2,4%
	self:MultiSpec("힘", "강력한 무기", 0.02)
	-- 강력한 무기(2) 체력 +2,4%
	self:MultiSpec("체력", "강력한 무기", 0.02)
	-- 강력한 무기(2) 숙련 +2,4
	self:AddSpec("숙련", "강력한 무기", 2)
	-- 무자비함(5) 치명타율 +1,2,3,4,5%
	self:AddSpec("치명타율", "무자비함", 1)
	--self:AddSpec("원거리 치명타율", "무자비함", 1)
	-- 쌍수 무기 전문화(5) 보조 무기 공격력 5, 10, 15, 20, 25% 증가
	if self.specTable["무기2 최소 공격력"] then
		self:MultiSpec("보조장비 공격력 배율", "쌍수 무기 전문화", 0.05)
	end
	-- 티탄의 손아귀(1) 양손 무기 쌍수 가능 양손을 한손으로 사용중 공격력 -10%
	if self:GetTalentPoint("티탄의 손아귀") > 0 then
		self.slotsEquipLoc[17]["INVTYPE_2HWEAPON"] = true
		if w1Loc and w2Loc and (w1Loc == "INVTYPE_2HWEAPON" or w2Loc == "INVTYPE_2HWEAPON") then
			self:MultiSpec("물리 공격력 배율", -0.1)
		end
	else
		self.slotsEquipLoc[17]["INVTYPE_2HWEAPON"] = nil
	end
	-- 방패 전문화(5) 방패 막기 +1,2,3,4,5%
	self:AddSpec("방패 막기", "방패 전문화", 1)
	-- 직감(5) 회피율 1,2,3,4,5%
	self:AddSpec("회피율", "직감", 1)
	-- 강인함(5) 아이템 방어도 +2,4,6,8,10%
	self:MultiSpec("아이템 방어도", "강인함", 0.02)
	-- 한손 무기류 전문화(5) 물리 공격 배율 2,4,6,8,10%
	if w1Loc == "INVTYPE_WEAPONMAINHAND" or w1Loc == "INVTYPE_WEAPON" then
		self:MultiSpec("물리 공격력 배율", "한손 무기류 전문화", 0.02)
	end
	-- 활력(3) 힘 +2,4,6%
	self:MultiSpec("힘", "활력", 0.02)
	-- 활력(3) 체력 +3,6,9%
	self:MultiSpec("체력", "활력", 0.03)
	-- 활력(3) 숙련 +2,4,6
	self:AddSpec("숙련", "활력", 2)
	-- 피의 광란(2) 공격 속도 +5, 10%
	self:MultiSpec("공격 속도 배율", "피의 광란", 0.05)
	if self:HasStance("방어 태세") then
		-- 물리 공격력 배율 -5%
		self:MultiSpec("물리 공격력 배율", -0.05)
	elseif self:HasStance("광폭 태세") then
		self:AddSpec("치명타율", 3)
		self:MultiSpec("힘", "광폭 태세 연마", 0.04)
		if self:GetSetItemPiece("헬스크림의 전투장비") >= 2 or self:GetSetItemPiece("린의 전투장비") >= 2 then
			self:AddSpec("치명타율", 2)
		end
	end
end

function InvenSimulatorUI:ApplyLastTalent()
	-- 완전 무장(3) 방어도 108당 1,2,3의 전투력
	self:AddSpec("전투력", floor(self.specTable["방어도"]) / 108 * self:GetTalentPoint("완전 무장"))
	-- 방패 숙련(2) 방피량 15,30%
	self:MultiSpec("방패 피해 방어량", "방패 숙련", 0.15)
end